/*
 * $Id: ValidatableComponentConfig.java 220 2007-07-16 10:32:15Z sugimotokenichi $
 * Copyright (C) 2005 SUGIMOTO Ken-ichi
 * 作成日: 2006/02/20
 */
package feat2.config;

import feat2.config.type.Identifier;



/**
 * 入力値の検証機能を持ったコンポーネントのインタフェース。
 * @author SUGIMOTO Ken-ichi
 */
public interface ValidatableComponentConfig {

    public void addValidation(ValidationConfig validation);

    public ValidationConfig[] getValidations();

    public ValidationConfig getValidationConfig(String name);

    /**
     * プロパティの表示名のリソースIDを返す。
     * @param propertyName
     * @return
     */
    public String getPropertyNameId(String propertyName);

    public Identifier getErrorResponse();

}
